org.apache.avro.mapred

## Class AvroKeyComparator<T>

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - org.apache.avro.mapred.AvroKeyComparator<T>

All Implemented Interfaces:
  Comparator<AvroWrapper<T>>, Configurable, RawComparator<AvroWrapper<T>>

    public class AvroKeyComparator<T>
    extends Configured
    implements RawComparator<AvroWrapper<T>>

The `RawComparator` used by jobs configured with `AvroJob`.

### Constructor Summary

Constructors
Constructor and Description
`AvroKeyComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(AvroWrapper<T> x, AvroWrapper<T> y)`
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`void` `setConf(Configuration conf)`

### Methods inherited from class org.apache.hadoop.conf.Configured

`getConf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### AvroKeyComparator

    public AvroKeyComparator()

### Method Detail

#### setConf

    public void setConf(Configuration conf)

Specified by:
  `setConf` in interface `Configurable`
Overrides:
  `setConf` in class `Configured`

#### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

Specified by:
  `compare` in interface `RawComparator<AvroWrapper<T>>`

#### compare

    public int compare(AvroWrapper<T> x,
                       AvroWrapper<T> y)

Specified by:
  `compare` in interface `Comparator<AvroWrapper<T>>`